using System;

class Program {
  public static void Main () {
    string[] red = Console.ReadLine().Split();
    int N = int.Parse(red[0]);
    int K = int.Parse(red[1]);
    red = Console.ReadLine().Split();
    int[] p = new int[N];
    int indeks = 0;
    for(int i = 0; i<N; i++){
      p[i] = int.Parse(red[i]);
      if(p[i] == K) indeks = i;
    }
    if(indeks == N-1) Console.WriteLine(p[0]);
    else Console.WriteLine(p[indeks + 1]);
  }
}